function setContainerMinHeight( applicableDiv){
  if ( $(applicableDiv).length > 0 ) {
    var f = $('.footer').height();
    var w = $(window).height();
    var pTop = parseInt (($(applicableDiv).css('padding-top').replace("px", "")) );
    var pBottom = parseInt (($(applicableDiv).css('padding-bottom').replace("px", "")));
    var c = w - ( f+pTop+pBottom+36);//36 is header's height.
    $(applicableDiv).css('min-height', c);
  }
}

//equal heights
(function($) {
	$.fn.equalHeights = function(minHeight, maxHeight) {
		tallest = (minHeight) ? minHeight : 0;
		this.each(function() {
			if($(this).height() > tallest) {
				tallest = $(this).height();
			}
		});
		if((maxHeight) && tallest > maxHeight) tallest = maxHeight;
		return this.each(function() {
			$(this).height(tallest);
		});
	}
})(jQuery);

// fix for iPhone - iPad orientation bug
function isIpadIphone(){
  var flag = false;
    var isiPhone = navigator.userAgent.toLowerCase().indexOf("iphone");
    var isiPad = navigator.userAgent.toLowerCase().indexOf("ipad");
    if(isiPhone > -1) { flag = true; }
    if(isiPad > -1) { flag = true; }
    return flag;
}

var metas = document.getElementsByTagName('meta');
function resetViewport() {
  var i;
  if (navigator.userAgent.match(/iPhone/i)) {
    for (i=0; i<metas.length; i++) {
      if (metas[i].name == "viewport") {
        metas[i].content = "width=device-width, minimum-scale=1.0, maximum-scale=1.0";
      }
    }
  }
}
resetViewport();

window.onorientationchange = function() {
    resetViewport();
};

function gestureStart() {
  for (i=0; i<metas.length; i++) {
    if (metas[i].name == "viewport") {
      metas[i].content = "width=device-width, minimum-scale=0.25, maximum-scale=1.6";
    }
  }
}

if (navigator.userAgent.match(/iPhone/i)) {
	document.addEventListener("gesturestart", gestureStart, false);
}
//end of fix

$(document).ready(function() {


  setContainerMinHeight('.container .wrapper');

  $('.show-extra').click(function(e) {
      e.preventDefault();
      $(this).parents('.bg-wrap').find('.extra').slideToggle(600);
  });
  $('.hide-extra').click(function(e) {
      e.preventDefault();
      $(this).parents('.bg-wrap').find('.extra').slideUp(600);
  });

	var fixTopMessageHeight = function() {
		var topMargin = parseInt($('.mainlogo img').height())+parseInt($('.top-msg').css('marginBottom'));
		$('.mainlogo').css('marginTop','-'+topMargin+'px');
	}

  // Uncomment to hide logo upon top message appearance

	// if ($('.mainlogo img').length > 0) {
	// 	$('.mainlogo img').bind('load', fixTopMessageHeight)
	// } else {
	// 	fixTopMessageHeight();
	// }

	$('.top-msg a.close').click(function(e) {
		e.preventDefault();
        $('.top-msg').animate({
            paddingTop:'0',
            paddingBottom:'0',
            height:'0'
        }, 1000, function (){
             $('.top-msg').removeClass('active')
        });
        $('.mainlogo').animate({
            marginTop:'0'
        }, 1000, function (){
             //todo
        });
    });

  $('.top-msg .success').parents('.top-msg').addClass('success');
  $('.top-msg .error').parents('.top-msg').addClass('error');
  $('.top-msg .warning').parents('.top-msg').addClass('warning');
  $('.top-msg .info').parents('.top-msg').addClass('info');

  // clouds homepage animation
  $('#animation a').hover(
    function () {
      $(this).animate({
        top: '+=-5'
      }, 300, function() {
        if ($(this).find('img').attr('src').indexOf("_top") == -1) {
          var src = $(this).find('img').attr('src').replace('.png', '_top.png')
          $(this).find('img').attr("src", src);
        }
      });
      $(this).siblings('p').find('img').animate({
        width: '60%'
      }, 300);
    },
    function () {
      $(this).animate({top: '0'}, 300, function() {
        var src = $(this).find('img').attr('src').replace('_top.png', '.png')
        $(this).find('img').attr("src", src);
      });
      $(this).siblings('p').find('img').animate({
        width: '65%'
      },300);
    }
  );

  fixEl = $('.details .lt');
  if (fixEl.length){ window.fixEloffsetTop = fixEl.offset().top;}

  $(".stats-block li em").equalHeights();

});

$(window).resize(function() {
  setContainerMinHeight('.container .wrapper');
  $(".stats-block li em").equalHeights();
  $(window).scroll(function () {
    setFixedLtBar();
  });
});

/* js for fixed faq/userguide side nav */
$(window).scroll(function () {
  var diff = ( $(window).height() - $('.footer').outerHeight() ) - $('.details .lt').height();
  if ( $('.details .lt').height() < $('.details .rt').height() ) {
    if ( ($(window).scrollTop() > window.fixEloffsetTop) && diff>0 ) {
      fixEl.addClass('fixed');
    } else {
      fixEl.removeClass('fixed');
    }
  }
});